<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="org.codefilarete.stalactite.engine.runtime.query.EntityCriteriaSupportTest" time="0.075" tests="6" errors="0" skipped="0" failures="0">
  <properties>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="java.vm.vendor" value="Private Build"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="os.name" value="Linux"/>
    <property name="user.country" value="FR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64"/>
    <property name="sun.java.command" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar /jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire 2026-05-19T05-30-38_739-jvmRun1 surefire-20260519053109587_108tmp surefire_4-20260519053109587_109tmp"/>
    <property name="surefire.test.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="/var/lib/jenkins"/>
    <property name="user.language" value="fr"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre"/>
    <property name="basedir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="file.separator" value="/"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="surefire.real.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar:/var/lib/jenkins/.m2/repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar"/>
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="1.8.0_482-8u482-ga~us1-0ubuntu1~24.04-b08"/>
    <property name="user.name" value="jenkins"/>
    <property name="path.separator" value=":"/>
    <property name="os.version" value="6.8.0-107-generic"/>
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="localRepository" value="/var/lib/jenkins/.m2/repository"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="java.version" value="1.8.0_482"/>
    <property name="user.dir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.vendor" value="Private Build"/>
    <property name="java.vm.version" value="25.482-b08"/>
    <property name="java.specification.maintenance.version" value="6"/>
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.class.version" value="52.0"/>
  </properties>
  <testcase name="hasCollectionCriteria_embeddedCollectionCriteria_returnsTrue" classname="org.codefilarete.stalactite.engine.runtime.query.EntityCriteriaSupportTest" time="0.023"/>
  <testcase name="hasCollectionCriteria_noCollectionCriteria_returnsFalse" classname="org.codefilarete.stalactite.engine.runtime.query.EntityCriteriaSupportTest" time="0.001"/>
  <testcase name="selectWhere_subQuery" classname="org.codefilarete.stalactite.engine.runtime.query.EntityCriteriaSupportTest" time="0.024">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	DDLDeployer	create table Restaurant(name varchar(255), description varchar(255), id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	create table Review(rating integer not null, comment varchar(255), id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, restaurantId bigint, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	alter table Review add constraint FK_Review_restaurantId_Restaurant_id foreign key(restaurantId) references Restaurant(id)
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 10 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into Restaurant(description, name, id) values (?, ?, default) | {1={Restaurant.description=Juicy gourmet burgers and craft beer, Restaurant.name=Burger Barn}, 2={Restaurant.description=Fresh hand-rolled sushi and sashimi, Restaurant.name=Sushi Sun}, 3={Restaurant.description=Authentic handmade Italian pasta, Restaurant.name=Pasta Prime}, 4={Restaurant.description=Best wood-fired pizza in the city, Restaurant.name=The Pizza Palace}, 5={Restaurant.description=Premium cuts and fine wine, Restaurant.name=Steak House}, 6={Restaurant.description=Spiced to perfection Indian cuisine, Restaurant.name=Curry Corner}, 7={Restaurant.description=Traditional Cantonese small bites, Restaurant.name=Dim Sum Den}, 8={Restaurant.description=Creative plant-based dishes, Restaurant.name=Vegan Village}, 9={Restaurant.description=Traditional Mexican street tacos, Restaurant.name=Taco Time}, 10={Restaurant.description=Elegant French seasonal menu, Restaurant.name=Bistro Blue}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 34 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into Review(comment, rating, id, restaurantId) values (?, ?, default, ?) | {1={Review.restaurantId=4, Review.comment=Wait time was a bit long, Review.rating=3}, 2={Review.restaurantId=3, Review.comment=Great carbonara, Review.rating=4}, 3={Review.restaurantId=4, Review.comment=Authentic wood-fired taste, Review.rating=5}, 4={Review.restaurantId=1, Review.comment=A bit noisy but food is good, Review.rating=3}, 5={Review.restaurantId=5, Review.comment=Excellent service, Review.rating=5}, 6={Review.restaurantId=8, Review.comment=Portions were small for the price, Review.rating=3}, 7={Review.restaurantId=7, Review.comment=Loved the steamed buns, Review.rating=5}, 8={Review.restaurantId=3, Review.comment=Waitstaff was excellent, Review.rating=5}, 9={Review.restaurantId=6, Review.comment=Nice variety of tandoori dishes, Review.rating=4}, 10={Review.restaurantId=7, Review.comment=Long wait on weekends, Review.rating=3}, 11={Review.restaurantId=10, Review.comment=Exquisite flavors, Review.rating=4}, 12={Review.restaurantId=4, Review.comment=Good variety of toppings, Review.rating=4}, 13={Review.restaurantId=6, Review.comment=Portions are huge, Review.rating=4}, 14={Review.restaurantId=1, Review.comment=Great burgers, Review.rating=4}, 15={Review.restaurantId=3, Review.comment=The carbonara was exactly how I like it, Review.rating=5}, 16={Review.restaurantId=4, Review.comment=Amazing crust!, Review.rating=5}, 17={Review.restaurantId=10, Review.comment=A bit too oily for my taste, Review.rating=2}, 18={Review.restaurantId=6, Review.comment=Service was extremely slow, Review.rating=1}, 19={Review.restaurantId=1, Review.comment=Friendly staff and good vibes, Review.rating=4}, 20={Review.restaurantId=8, Review.comment=The vegan dessert was a surprise, Review.rating=5}, 21={Review.restaurantId=5, Review.comment=The wine list is impressive, Review.rating=5}, 22={Review.restaurantId=10, Review.comment=Very romantic atmosphere, Review.rating=5}, 23={Review.restaurantId=2, Review.comment=The wait was somewhat lengthy., Review.rating=4}, 24={Review.restaurantId=2, Review.comment=The salmon rolls are fine, Review.rating=3}, 25={Review.restaurantId=9, Review.comment=Tacos were okay, Review.rating=3}, 26={Review.restaurantId=9, Review.comment=Love the spicy salsa, Review.rating=4}, 27={Review.restaurantId=2, Review.comment=Fish didn't taste very fresh today, Review.rating=2}, 28={Review.restaurantId=7, Review.comment=Fine dumplings, Review.rating=3}, 29={Review.restaurantId=5, Review.comment=Perfectly cooked ribs, Review.rating=5}, 30={Review.restaurantId=6, Review.comment=Best butter chicken, Review.rating=5}, 31={Review.restaurantId=1, Review.comment=The best milkshake to go with the burger, Review.rating=5}, 32={Review.restaurantId=8, Review.comment=Healthy and delicious, Review.rating=4}, 33={Review.restaurantId=8, Review.comment=Unique vegetable combinations, Review.rating=4}, 34={Review.restaurantId=9, Review.comment=The salsa is actually too spicy!, Review.rating=2}}
2026-05-19 05:31:22	TRACE	SQLOperation	select Restaurant.description as Restaurant_description, Restaurant.name as Restaurant_name, Restaurant.id as Restaurant_id, Review.comment as Review_comment, Review.rating as Review_rating, Review.id as Review_id from Restaurant left outer join Review as Review on Restaurant.id = Review.restaurantId where Restaurant.id in (select Review.restaurantId from Review group by Review.restaurantId order by avg(Review.rating) desc limit ?) | {1=5}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#3
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#3
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#3
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#4
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#4
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#4
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#4
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#5
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#5
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#5
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#8
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#8
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#8
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.r.Restaurant
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.r.Restaurant#8
]]></system-out>
  </testcase>
  <testcase name="sqlGeneration" classname="org.codefilarete.stalactite.engine.runtime.query.EntityCriteriaSupportTest" time="0.007"/>
  <testcase name="selectWhere_withCollectionCriteria" classname="org.codefilarete.stalactite.engine.runtime.query.EntityCriteriaSupportTest" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	DDLDeployer	create table City(name varchar(255), id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	create table Country(id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	create table Country_cities(country_id int not null, cities_id int not null, unique (country_id, cities_id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	alter table Country_cities add constraint FK_Country_cities_cities_id_City_id foreign key(cities_id) references City(id)
2026-05-19 05:31:22	DEBUG	DDLDeployer	alter table Country_cities add constraint FK_Country_cities_country_id_Country_id foreign key(country_id) references Country(id)
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into Country(id) values (?) | {1={Country.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into City(name, id) values (?, ?) | {1={City.id=o.c.s.i.PersistableIdentifier@17, City.name=Lyon}, 2={City.id=o.c.s.i.PersistableIdentifier@13, City.name=Grenoble}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into Country_cities(country_id, cities_id) values (?, ?) | {1={Country_cities.country_id=o.c.s.i.PersistableIdentifier@1, Country_cities.cities_id=o.c.s.i.PersistableIdentifier@17}, 2={Country_cities.country_id=o.c.s.i.PersistableIdentifier@1, Country_cities.cities_id=o.c.s.i.PersistableIdentifier@13}}
2026-05-19 05:31:22	TRACE	SQLOperation	select Country.id as rootId from Country left outer join Country_cities as Country_cities on Country.id = Country_cities.country_id left outer join City as Country_cities_City on Country_cities.cities_id = Country_cities_City.id where Country_cities_City.name = ? | {1=Grenoble}
2026-05-19 05:31:22	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	TRACE	SQLOperation	select Country.id as Country_id, Country_cities_City.name as Country_cities_City_name, Country_cities_City.id as Country_cities_City_id from Country left outer join Country_cities as Country_cities on Country.id = Country_cities.country_id left outer join City as Country_cities_City on Country_cities.cities_id = Country_cities_City.id where Country.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.Country
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.Country#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.Country#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.Country
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.Country#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.Country#o.c.s.i.PersistedIdentifier@1
]]></system-out>
  </testcase>
  <testcase name="apiUsage" classname="org.codefilarete.stalactite.engine.runtime.query.EntityCriteriaSupportTest" time="0.007"/>
</testsuite>